package com.qy.worksheetsystem.model.mapper;

import org.apache.ibatis.annotations.MapKey;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface PersonWorkMapper {
        String selectBillKey();
        String selectKeyByBosTyoe(@Param("employeeID") String employeeID);

        List<Map<String,Object>> getAvailableDateInfo(@Param("employeeID") String employeeID, @Param("startDate")String startDate,  @Param("endDate")String endDate);

        int insertBill(@Param("billList")List<Map<String, Object>> billList);

        int insertWork(@Param("workList")List<Map<String, Object>> workList);
}
